Skip to content

Info

We are working towards a more user-friendly API reference. Thank you for your patience as we continue to improve the documentation ❤️!

Nextmv Cloud API

API reference for Nextmv Cloud public runs.

Version: 1.7.0

Terms of service

https://www.nextmv.io/terms-of-use

Contact information:
Nextmv.io Inc.
https://www.nextmv.io
support@nextmv.io

License: Proprietary (UNLICENSED)

Servers

URL Description
https://api.cloud.nextmv.io/v1 Nextmv Cloud API server

Read the docs

Available authorizations

apiToken (HTTP, bearer)

Bearer format: JWT


Run management

Manage the execution of a run.

[GET] /v1/account/queue

List queued and active runs.

Retrieves a list of queued and active runs.

Responses

Code Description Schema
200 Successfully retrieves list of queued and active runs. application/json: ListActiveRunResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[POST] /v1/applications/{application_id}/runs

New application run.

Create new application run.

Parameters

Name Located in Description Required Schema
instance_id query Application instance ID. Yes string
application_id path Your application ID. Yes string

Request Body

Create new application run.

Required Schema
Yes application/json: RunInput

Responses

Code Description Schema
202 Run created. application/json: { "run_id": string }
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs

List past runs.

List past runs for application (50 max per request).

Parameters

Name Located in Description Required Schema
start query Set the query start time for listing. Must be in RFC3339 format. Default is 1 year prior to end time. No string
end query Set the query end time for listing. Must be in RFC3339 format. No string
limit query The max number of items to return in one request. If additional records are available, a pagination token will be returned with the response. No integer
pagetoken query A pagination token returned in a previous response of a matching endpoint. No string
include_exp_runs query Allows inclusion of batch experiment and scenario test runs while listing runs No boolean
include_shad_runs query Allows inclusion of shadow runs while listing runs No boolean
include_ens_runs query Allows inclusion of ensemble child runs while listing runs No boolean
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed past runs (50 max). application/json: ListRunResponse
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}

Get run result.

Get the result of a run.

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
200 Successfully fetched run result. application/json: RunOutput
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/runs/{run_id}

Update name and description of run.

Update the name and/or description of a run.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Request Body

Update name and description of a run.

Required Schema
Yes application/json: RunUpdate

Responses

Code Description Schema
200 Gets the results of a run for an application. application/json: RunMetadataStatus
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/runs/{run_id}

Delete run.

Delete a run.

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
204 Successfully deleted a run
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PATCH] /v1/applications/{application_id}/runs/{run_id}/cancel

Cancel a run that is not yet completed.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
204 Successfully canceled a run.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}/input

Get run input.

Gets the input used for a run.

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
200 Successfully retrieved run input. application/json: GetRunInput
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}/output

Get run output.

Gets the output data from a run execution.

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
200 Successfully retrieved run output. application/json: GetRunOutput
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}/assets

Get run assets.

List the assets for a run.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
200 Successfully retrieved run assets. application/json: GetRunAssets
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}/assets/{asset_id}

Get run asset.

Get an asset for a run.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string
asset_id path Asset ID. Yes string

Responses

Code Description Schema
200 Successfully retrieved run asset. application/json: GetRunAsset
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}/metadata

Get run status without output.

Get the status of a run without the output.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
200 Successfully fetched run status (output excluded). application/json: RunMetadataStatus
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[POST] /v1/applications/{application_id}/runs/uploadurl

Retrieve unique upload URL and ID.

Retrieve a unique URL and ID for uploading files.

Parameters

Name Located in Description Required Schema
application_id path ID of the application. Yes string

Responses

Code Description Schema
200 OK application/json: ApplicationRunUploadResponse
400 Bad Request
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not Found
429 Too Many Requests. application/json: { "status": string, "error": string }

Admin

Manage information of an app.

[GET] /v1/applications/{application_id}

Get application information.

Get application information specified by application ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully fetched application. application/json: Application
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}

Update application information.

Update application information with defined data, specified by application ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Update application information with defined data.

Required Schema
Yes application/json: ApplicationUpdate

Responses

Code Description Schema
200 Successfully updated application. application/json: Application
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}

Delete application.

Delete application, specified by application ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Responses

Code Description Schema
204 Successfully deleted application.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Versions

Create and manage versions of an app.

[POST] /v1/applications/{application_id}/versions

Create new version.

Create new application version using the current dev binary.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create an application version

Required Schema
Yes application/json: ApplicationVersion

Responses

Code Description Schema
204 Successfully created application version.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/versions

List versions.

List all versions for an application.

Parameters

Name Located in Description Required Schema
pagereturn query Changes the return structure to allow for the inclusion of a pagination token when set to "true". No string
pagetoken query A pagination token returned in a previous response of a matching endpoint. No string
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed application versions. application/json: ApplicationVersionListResponse or ApplicationVersionListPagedResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/versions/{version_id}

Get version information.

Get application version information specified by application and version ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
version_id path Application version ID. Yes string

Responses

Code Description Schema
200 Successfully fetched version. application/json: Application
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/versions/{version_id}

Update version information.

Update application version information with defined data, specified by application and version ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
version_id path Application version ID. Yes string

Request Body

Update application version information with defined data.

Required Schema
Yes application/json: ApplicationVersionUpdate

Responses

Code Description Schema
200 Successfully updated application version. application/json: ApplicationVersion
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/versions/{version_id}

Delete version.

Delete version, specified by application and version ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
version_id path Application version ID. Yes string

Responses

Code Description Schema
204 Successfully deleted application version.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Instances

Create and manage instances of an app.

[POST] /v1/applications/{application_id}/instances

Create new instance.

Create new application instance for a specified version.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create an application instance.

Required Schema
Yes application/json: ApplicationInstance

Responses

Code Description Schema
204 Successfully created application instance.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/instances

List instances.

List all instances for an application.

Parameters

Name Located in Description Required Schema
pagereturn query Changes the return structure to allow for the inclusion of a pagination token when set to "true". No string
pagetoken query A pagination token returned in a previous response of a matching endpoint. No string
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed application instances. application/json: ApplicationInstanceListResponse or ApplicationInstanceListPagedResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/instances/{instance_id}

Get instance information.

Get application instance information specified by application and instance ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
instance_id path Application instance ID. Yes string

Responses

Code Description Schema
200 Successfully fetched application instance. application/json: ApplicationInstance
400 Bad request. application/json: { "status": string, "error": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/instances/{instance_id}

Update an instance.

Update application instance information with defined data, specified by application and instance ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
instance_id path Application instance ID. Yes string

Request Body

Updates application instance information with defined data.

Required Schema
Yes application/json: ApplicationInstanceUpdate

Responses

Code Description Schema
200 Successfully updated application instance. application/json: ApplicationInstance
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/instances/{instance_id}

Delete instance.

Delete application instance, specified by application and instance ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
instance_id path Application instance ID. Yes string

Responses

Code Description Schema
204 Successfully deleted application instance.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Run execution

Execute a run on the app and get results.

[POST] /v1/applications/{application_id}/runs

New application run.

Create new application run.

Parameters

Name Located in Description Required Schema
instance_id query Application instance ID. Yes string
application_id path Your application ID. Yes string

Request Body

Create new application run.

Required Schema
Yes application/json: RunInput

Responses

Code Description Schema
202 Run created. application/json: { "run_id": string }
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs

List past runs.

List past runs for application (50 max per request).

Parameters

Name Located in Description Required Schema
start query Set the query start time for listing. Must be in RFC3339 format. Default is 1 year prior to end time. No string
end query Set the query end time for listing. Must be in RFC3339 format. No string
limit query The max number of items to return in one request. If additional records are available, a pagination token will be returned with the response. No integer
pagetoken query A pagination token returned in a previous response of a matching endpoint. No string
include_exp_runs query Allows inclusion of batch experiment and scenario test runs while listing runs No boolean
include_shad_runs query Allows inclusion of shadow runs while listing runs No boolean
include_ens_runs query Allows inclusion of ensemble child runs while listing runs No boolean
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed past runs (50 max). application/json: ListRunResponse
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}

Get run result.

Get the result of a run.

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
200 Successfully fetched run result. application/json: RunOutput
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/runs/{run_id}

Update name and description of run.

Update the name and/or description of a run.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Request Body

Update name and description of a run.

Required Schema
Yes application/json: RunUpdate

Responses

Code Description Schema
200 Gets the results of a run for an application. application/json: RunMetadataStatus
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/runs/{run_id}

Delete run.

Delete a run.

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
204 Successfully deleted a run
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}/logs

Get run logs.

Gets the logs for a run (only available after run is finished).

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"

Responses

Code Description Schema
200 Successfully fetched run logs. application/json: RunLogsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/runs/{run_id}/logs/live

Get run live logs.

Lists the live logs for a run (retained for 13 hours).

Parameters

Name Located in Description Required Schema
format query Set the format of the returned output. In case the value is 'url' a download url is returned as an object with the key "url" instead of the original output. No string,
Available values: "url"
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string
since query The timestamp after which to get remaining items. No string

Responses

Code Description Schema
200 Successfully fetched run logs. application/json: LiveRunLogsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Ensembles

Create and manage runs ensembles.

[GET] /v1/applications/{application_id}/runs/{run_id}/ensemble

Get ensemble run results.

Get ensemble run results specified by application and run ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
run_id path Application run ID. Yes string

Responses

Code Description Schema
200 Successfully fetched ensemble run results. application/json: GetEnsembleRunResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[POST] /v1/applications/{application_id}/ensembles

Create an ensemble definition.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create an ensemble definition.

Required Schema
Yes application/json: CreateEnsembleRequest

Responses

Code Description Schema
200 Successfully created ensemble definition. application/json: CreateEnsembleResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/ensembles

List all ensemble definitions.

List all ensemble definitions for an application.

Parameters

Name Located in Description Required Schema
pagereturn query Changes the return structure to allow for the inclusion of a pagination token when set to "true". No string
pagetoken query A pagination token returned in a previous response of a matching endpoint. No string
start query Set the query start time for listing. Must be in RFC3339 format. Default is 1 year prior to end time. No string
end query Set the query end time for listing. Must be in RFC3339 format. No string
limit query The max number of items to return in one request. If additional records are available, a pagination token will be returned with the response. No integer
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed ensembles. application/json: ListEnsemblesResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/ensembles/{ensemble_id}

Get ensemble definition.

Get ensemble definition specified by application and ensemble ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
ensemble_id path Application ensemble definition ID. Yes string

Responses

Code Description Schema
200 Successfully fetched ensemble definition. application/json: GetEnsembleResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PATCH] /v1/applications/{application_id}/ensembles/{ensemble_id}

Update an ensemble definition.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
ensemble_id path Application ensemble definition ID. Yes string

Request Body

Update an ensemble definition.

Required Schema
Yes application/json: UpdateEnsembleRequest

Responses

Code Description Schema
200 Successfully updated ensemble definition. application/json: UpdateEnsembleResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/ensembles/{ensemble_id}

Delete ensemble definition.

Delete an ensemble definition.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
ensemble_id path Application ensemble definition ID. Yes string

Responses

Code Description Schema
204 Successfully deleted ensemble definition.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Secrets Collections

Create and manage secret collections of an app.

[POST] /v1/applications/{application_id}/secrets

Creates a secrets collection.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create new secret collection.

Required Schema
Yes application/json: CreateSecretsCollectionRequest

Responses

Code Description Schema
200 OK application/json: SecretsCollectionSummary
400 Bad Request
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not Found
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/secrets

List secrets collections.

List all secrets collections for an application.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed secrets collections. application/json: ListSecretsCollectionsResponse
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not Found
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/secrets/{collection_id}

Update a secrets collection.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
collection_id path Collection ID. Yes string

Request Body

Updates a secret collection.

Required Schema
Yes application/json: UpdateSecretsCollectionRequest

Responses

Code Description Schema
200 OK application/json: SecretsCollectionSummary
400 Bad Request
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not Found
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/secrets/{collection_id}

Get secrets collection.

Get a secrets collection.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
collection_id path Collection ID. Yes string

Responses

Code Description Schema
200 Successfully fetched secrets collection. application/json: SecretsCollection
400 Bad Request
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not Found
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/secrets/{collection_id}

Deletes secrets collection.

Deletes a secrets collection.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
collection_id path Collection ID. Yes string

Responses

Code Description Schema
204 Successfully deleted secrets collection.
400 Bad Request
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not Found
429 Too Many Requests. application/json: { "status": string, "error": string }

Webhooks

Manage webhooks.

[POST] /v1/webhooks

Create a webhook.

Creates a new webhook.

Request Body

Create new application run.

Required Schema
Yes application/json: CreateWebhookRequest

Responses

Code Description Schema
201 Successfully created a webhook.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/webhooks

Get a list of webhooks.

Responses

Code Description Schema
200 Successfully fetched all webhooks. application/json: ListWebhooksResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/webhooks/{webhook_id}

Get a single webhook.

Parameters

Name Located in Description Required Schema
webhook_id path Webhook ID. Yes string

Responses

Code Description Schema
200 Successfully fetched a webhook. application/json: WebhookInfo
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/webhooks/{webhook_id}

Update all fields of a webhook.

Parameters

Name Located in Description Required Schema
webhook_id path Webhook ID. Yes string

Request Body

All fields in the body are updated.

Required Schema
Yes application/json: CreateWebhookRequest

Responses

Code Description Schema
204 Successfully updated the full webhooks record.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/webhooks/{webhook_id}

Delete a webhook.

Parameters

Name Located in Description Required Schema
webhook_id path Webhook ID. Yes string

Responses

Code Description Schema
204 Successfully deleted a webhook.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/webhooks/{webhook_id}/conversations

Get a list of all webhook conversations.

Get a list of all webhook conversations. A conversation is the request to and the response of the endpoint.

Parameters

Name Located in Description Required Schema
webhook_id path Webhook ID. Yes string

Responses

Code Description Schema
200 Successfully fetched recent webhook conversations. application/json: ListWebhookConversationsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/webhooks/{webhook_id}/conversations/{conversation_id}

Get a single conversation.

Parameters

Name Located in Description Required Schema
webhook_id path Webhook ID. Yes string
conversation_id path Webhook conversation ID. Yes string

Responses

Code Description Schema
200 Successfully fetched a conversation. application/json: ConversationResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/webhooks/{webhook_id}/secret

Get the signing secret of the webhook.

Parameters

Name Located in Description Required Schema
webhook_id path Webhook ID. Yes string

Responses

Code Description Schema
200 Successfully fetched the webhook signing secret. application/json: WebhookSecretResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Events

Events.

[POST] /v1/events/trigger

Trigger an event with test data.

Request Body

Event trigger request.

Required Schema
No application/json: EventTriggerRequest

Responses

Code Description Schema
201 Successfully fetched run status (output excluded).
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Inputs

Create and update inputs for experiments

[POST] /v1/applications/{application_id}/inputs

Creates a managed input.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Required Schema
No application/json: InputRequest

Responses

Code Description Schema
201 succeeded creating an input application/json: InputInfoList
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/inputs

Lists the input created for an application

Lists all the inputs for an application

Parameters

Name Located in Description Required Schema
pagereturn query Changes the return structure to allow for the inclusion of a pagination token when set to "true". No string
pagetoken query A pagination token returned in a previous response of a matching endpoint. No string
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 List the inputs created for an application application/json: ListInputInfoResponse or ListInputInfoPagedResponse
400 Bad request. application/json: { "status": string, "error": string }
404 Not found. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/inputs/{input_id}

Gets an input created for an application

Gets an input for an application

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
input_id path Application input ID. Yes string

Responses

Code Description Schema
200 Gets an input for an application application/json: InputInfo
400 Bad request. application/json: { "status": string, "error": string }
404 Not found. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/inputs/{input_id}

Updates an input created for an application

Updates an input for an application

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
input_id path Application input ID. Yes string

Request Body

Required Schema
No application/json: { "name": string, "description": string }

Responses

Code Description Schema
200 Successfully updated an input for an application application/json: InputInfoList
400 Bad request. application/json: { "status": string, "error": string }
404 Not found. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/inputs/{input_id}

Deletes an input created for an application

Deletes an input for an application

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
input_id path Application input ID. Yes string

Responses

Code Description Schema
204 Successfully deleted an input.
400 Bad request. application/json: { "status": string, "error": string }
404 Not found. application/json: { "status": string, "error": string }

Input sets

Create and update input sets for experiments

[POST] /v1/applications/{application_id}/experiments/inputsets

Create new input set.

Create new application input set for experiments.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create new input set for experiments.

Required Schema
No application/json: CreateInputSetRequest

Responses

Code Description Schema
200 Successfully created input set. application/json: InputSet
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/inputsets

List input sets.

List all input sets for an application.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed application input sets. application/json: ListInputSetInfo
400 Bad request. application/json: { "status": string, "error": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/experiments/inputsets/{input_set_id}

Update input set metadata.

Update input set metadata with defined data, specified by application and input set ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
input_set_id path Application input set ID. Yes string

Request Body

Update input set with defined data.

Required Schema
No application/json: UpdateInputSetRequest

Responses

Code Description Schema
200 Successfully updated application input set. application/json: InputSet
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/inputsets/{input_set_id}

Get input set information.

Get input set information specified by application and input set ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
input_set_id path Application input set ID. Yes string

Responses

Code Description Schema
200 Successfully fetched input set. application/json: InputSet
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/experiments/inputsets/{input_set_id}

Deletes an input set created for an application

Deletes an input set for an application

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
input_set_id path Application input set ID. Yes string

Responses

Code Description Schema
204 Successfully deleted an input set.
400 Bad request. application/json: { "status": string, "error": string }
404 Not found. application/json: { "status": string, "error": string }

Batch experiments

Create and manage batch experiments.

[POST] /v1/applications/{application_id}/experiments/batch

Create and start batch experiment.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create and start batch experiment.

Required Schema
No application/json: StartBatchExperimentRequest

Responses

Code Description Schema
200 Successfully created and started batch experiment. application/json: StartBatchExperimentResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/batch

List batch experiments.

List batch experiments for an application.

Parameters

Name Located in Description Required Schema
start query Set the query start time for listing. Must be in RFC3339 format. Default is 1 year prior to end time. No string
end query Set the query end time for listing. Must be in RFC3339 format. No string
limit query The max number of items to return in one request. If additional records are available, a pagination token will be returned with the response. No integer
type query Filter by batch experiment type. Using batch will also get experiments without a type. No string,
Available values: "batch", "scenario"
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed application batch experiments. application/json: ListBatchExperimentsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/batch/{batch_id}

Get batch experiment status and results.

Get batch experiment status and results specified by application and batch ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
batch_id path Application batch experiment ID. Yes string

Responses

Code Description Schema
200 Successfully fetched batch experiment. application/json: GetBatchStatusResponse
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/experiments/batch/{batch_id}

Delete a batch experiment.

Delete a batch experiment specified by application and batch ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
batch_id path Application batch experiment ID. Yes string

Responses

Code Description Schema
204 Successfully deleted batch experiment.
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PATCH] /v1/applications/{application_id}/experiments/batch/{batch_id}

Update a batch experiment.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
batch_id path Application batch experiment ID. Yes string

Request Body

Update a batch experiment.

Required Schema
Yes application/json: UpdateBatchExperimentRequest

Responses

Code Description Schema
200 Successfully updated batch experiment. application/json: UpdateBatchExperimentResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/batch/{batch_id}/runs

List batch experiment runs.

List runs used for batch experiment specified by application and batch ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
batch_id path Application batch experiment ID. Yes string

Responses

Code Description Schema
200 Successfully listed batch experiment runs. application/json: ListBatchExperimentRunsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/batch/{batch_id}/metadata

Get batch experiment metadata.

Get batch experiment metadata specified by application and batch ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
batch_id path Application batch experiment ID. Yes string

Responses

Code Description Schema
200 Successfully fetched batch experiment metadata. application/json: GetBatchMetadataResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Acceptance tests

Create and manage acceptance tests.

[POST] /v1/applications/{application_id}/experiments/acceptance

Create and start acceptance test.

Create an acceptance test. The test relies on a batch experiment, so a batch experiment must already exist.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create and start acceptance test.

Required Schema
Yes application/json: StartAcceptanceTestRequest

Responses

Code Description Schema
200 Successfully created and started acceptance test. application/json: AcceptanceTestResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/acceptance

List all the existing acceptance tests.

List acceptance tests.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed the acceptance test. application/json: ListAcceptanceTestsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/acceptance/{acceptance_id}

Get acceptance test information.

Get the information of an acceptance test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
acceptance_id path Application acceptance test ID. Yes string

Responses

Code Description Schema
200 Successfully fetched acceptance test. application/json: AcceptanceTestResponse
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/experiments/acceptance/{acceptance_id}

Delete acceptance test.

Delete an acceptance test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
acceptance_id path Application acceptance test ID. Yes string

Responses

Code Description Schema
204 Successfully deleted acceptance test.
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PATCH] /v1/applications/{application_id}/experiments/acceptance/{acceptance_id}

Update an acceptance test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
acceptance_id path Application acceptance test ID. Yes string

Request Body

Update an acceptance test.

Required Schema
Yes application/json: UpdateAcceptanceTestRequest

Responses

Code Description Schema
200 Successfully updated acceptance test. application/json: UpdateAcceptanceTestResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Shadow tests

Create and manage shadow tests.

[POST] /v1/applications/{application_id}/experiments/shadow

Create a shadow test in draft mode.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create a shadow test in draft mode.

Required Schema
No application/json: CreateShadowTestRequest

Responses

Code Description Schema
200 Successfully created a shadow test draft. application/json: CreateShadowTestResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/shadow

List shadow tests.

List shadow tests for an application.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed application shadow tests. application/json: ListShadowTestsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/shadow/{shadow_id}

Get shadow test status and results.

Get shadow test status and results specified by application and shadow ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
shadow_id path Application shadow test ID. Yes string

Responses

Code Description Schema
200 Successfully fetched shadow test. application/json: GetShadowTestResponse
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PATCH] /v1/applications/{application_id}/experiments/shadow/{shadow_id}

Update a shadow test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
shadow_id path Application shadow test ID. Yes string

Request Body

Update shadow test with defined data.

Required Schema
No application/json: UpdateShadowTestRequest

Responses

Code Description Schema
200 Successfully updated shadow test. application/json: UpdateShadowTestResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/experiments/shadow/{shadow_id}

Delete a Shadow test.

Delete a shadow test specified by application and shadow test ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
shadow_id path Application shadow test ID. Yes string

Responses

Code Description Schema
204 Successfully deleted shadow test.
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/experiments/shadow/{shadow_id}/start

Start shadow test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
shadow_id path Application shadow test ID. Yes string

Responses

Code Description Schema
204 Successfully started a shadow test.
304 Shadow test already started.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/experiments/shadow/{shadow_id}/stop

Stop shadow test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
shadow_id path Application shadow test ID. Yes string

Request Body

Stop a shadow test and mark as canceled or completed.

Required Schema
No application/json: StopShadowTestRequest

Responses

Code Description Schema
204 Successfully stopped shadow test.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/shadow/{shadow_id}/runs

List shadow test runs.

List runs part of a shadow test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
shadow_id path Application shadow test ID. Yes string

Responses

Code Description Schema
200 Successfully listed shadow test runs. application/json: ListShadowRunsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/shadow/{shadow_id}/metadata

Get shadow test metadata.

Get shadow test metadata specified by application and shadow test ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
shadow_id path Application shadow test ID. Yes string

Responses

Code Description Schema
200 Successfully fetched shadow test metadata. application/json: GetShadowMetadataResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Switchback tests

Create and manage switchback tests.

[POST] /v1/applications/{application_id}/experiments/switchback

Create a switchback test in draft mode.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Request Body

Create aswitchback test in draft mode.

Required Schema
No application/json: CreateSwitchbackExperimentRequest

Responses

Code Description Schema
200 Successfully created a switchback test draft. application/json: CreateSwitchbackExperimentResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/switchback

List switchback tests.

List shadow tests for an application.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string

Responses

Code Description Schema
200 Successfully listed application switchback tests. application/json: ListSwitchbackExperimentsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/switchback/{switchback_id}

Get switchback test status and results.

Get switchback test status and results specified by application and switchback test ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
switchback_id path Application switchback test ID. Yes string

Responses

Code Description Schema
200 Successfully fetched switchback test. application/json: GetSwitchbackExperimentResponse
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PATCH] /v1/applications/{application_id}/experiments/switchback/{switchback_id}

Update a switchback test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
switchback_id path Application switchback test ID. Yes string

Request Body

Update switchback test with defined data.

Required Schema
No application/json: UpdateSwitchbackExperimentRequest

Responses

Code Description Schema
200 Successfully updated switchback test. application/json: UpdateSwitchbackExperimentResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/applications/{application_id}/experiments/switchback/{switchback_id}

Delete a switchback test.

Delete a switchback test specified by application and switcback test ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
switchback_id path Application switchback test ID. Yes string

Responses

Code Description Schema
204 Successfully deleted switchback test.
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/experiments/switchback/{switchback_id}/start

Start switchback test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
switchback_id path Application switchback test ID. Yes string

Responses

Code Description Schema
204 Successfully started a switchback test.
304 Switchback test already started.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/applications/{application_id}/experiments/switchback/{switchback_id}/stop

Stop switchback test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
switchback_id path Application switchback test ID. Yes string

Responses

Code Description Schema
204 Successfully stopped switchback test.
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/switchback/{switchback_id}/runs

List switchback test runs.

List runs part of a switchback test.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
switchback_id path Application switchback test ID. Yes string

Responses

Code Description Schema
200 Successfully listed switchback test runs. application/json: ListSwitchbackExperimentRunsResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/applications/{application_id}/experiments/switchback/{switchback_id}/metadata

Get switchback test metadata.

Get switchback test metadata specified by application and switchback test ID.

Parameters

Name Located in Description Required Schema
application_id path Your application ID. Yes string
switchback_id path Application switchback test ID. Yes string

Responses

Code Description Schema
200 Successfully fetched switchback test metadata. application/json: GetSwitchbackMetadataResponse
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Integrations

Create and manage integrations for an account.

[GET] /v1/integrations

List integrations configured on an account

Responses

Code Description Schema
200 Successfully fetched integrations configured on an account application/json: PaginatedAccountIntegrations
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[POST] /v1/integrations

Create a new integration for the account

Request Body

Required Schema
Yes application/json: CreateAccountIntegrationRequest

Responses

Code Description Schema
201 Successfully created an integration for the account application/json: AccountIntegration
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[GET] /v1/integrations/{integration_id}

Get a configured integration for the account

Parameters

Name Located in Description Required Schema
integration_id path Account integration ID. Yes string
integration_id path Account integration ID. Yes string

Responses

Code Description Schema
200 Successfully fetched the configured integration for the account application/json: AccountIntegration
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[PUT] /v1/integrations/{integration_id}

Update an existing integration for the account

Parameters

Name Located in Description Required Schema
integration_id path Account integration ID. Yes string
integration_id path Account integration ID. Yes string

Request Body

Required Schema
Yes application/json: CreateAccountIntegrationRequest

Responses

Code Description Schema
200 Successfully updated the integration for the account application/json: AccountIntegration
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

[DELETE] /v1/integrations/{integration_id}

Delete a configured integration for the account

Parameters

Name Located in Description Required Schema
integration_id path Account integration ID. Yes string
integration_id path Account integration ID. Yes string

Responses

Code Description Schema
204 Successfully deleted the integration for the account
400 Bad request. application/json: { "status": string, "error": string }
401 Unauthorized access. application/json: { "message": string }
403 Unauthorized API token. application/json: { "message": string }
404 Not found. application/json: { "status": string, "error": string }
429 Too Many Requests. application/json: { "status": string, "error": string }

Schemas

Application Schema

The container for all of the assets used to solve a particular problem for your business.

Name Type Description Required
id string The application ID. Immutable and must be unique within your applications. Can contain only lower case letters, numbers, and hyphens. Yes
name string Application name, for your reference only. Yes
description string Optional application description, for your reference only. No
default_instance string The ID of an instance to use for the run if no instance is specified in the /runs POST. No
settings AppSettings No
active_executable Executable No

A reference link for your application.

Name Type Description Required
label string A label for the link. Yes
url string The URL for the link. Yes
description string Optional description for the link. No
tags [ string ] Optional tags for the link. No

Reference links for your application.

Name Type Description Required
AppSettingsLinks [ AppSettingsLink ] Reference links for your application.

AppSettings Schema

Application level settings.

Name Type Description Required
links AppSettingsLinks No

ApplicationUpdate Schema

Update application information.

Name Type Description Required
name string Application name, for your reference only. Yes
description string Optional application description, for your reference only. No
default_instance string The ID of an instance to use for the run if no instance is specified in the /runs POST. No
settings AppSettings No

ApplicationVersion Schema

An application version represents a specific executable binary. You can update the name and description of a version, but the referenced executable cannot be changed.

Name Type Description Required
id string The version ID. Immutable and must be unique within your application. Can contain only lower case letters, numbers, and hyphens. Yes
name string Version name, for your reference only. Yes
description string Optional version description, for your reference only. No
executable Executable No

ApplicationVersionUpdate Schema

Update version information.

Name Type Description Required
name string Version name, for your reference only. Yes
description string Optional version description, for your reference only. No

ApplicationVersionListResponse Schema

Versions for an application.

Name Type Description Required
ApplicationVersionListResponse [ ApplicationVersion ] Versions for an application.

ApplicationVersionListPagedResponse Schema

Paged version list for an application.

Name Type Description Required
items [ ApplicationVersion ] Versions for an application. No
next_page_token string No

ApplicationInstance Schema

An application instance is a representation of a version (coming soon: plus an optional configuration) for use in some context.

Name Type Description Required
id string The instance ID. Immutable and must be unique within your application. Can contain only lower case letters, numbers, and hyphens. Yes
version_id string The version ID to associate with this instance. Yes
name string Instance name, for your reference only. Yes
description string Optional instance description, for your reference only. No
configuration ExecutionConfiguration The configuration for your application instance. No

ApplicationInstanceUpdate Schema

Update instance information.

Name Type Description Required
version_id string The version ID to associate with this instance. Yes
name string Instance name, for your reference only. Yes
description string Optional instance description, for your reference only. No
configuration ExecutionConfiguration The configuration for your application instance. No

ApplicationInstanceListResponse Schema

Instances for an application.

Name Type Description Required
ApplicationInstanceListResponse [ ApplicationInstance ] Instances for an application.

ApplicationInstanceListPagedResponse Schema

Paged instance list for an application.

Name Type Description Required
items [ ApplicationInstance ] Instances for an application. No
next_page_token string No

Executable Schema

Details regarding the currently associated binary for this instance.

Name Type Description Required
id string The ID of the executable. No
user_email string The email address who uploaded the executable. No
uploaded_at string The ISO-8601 formatted timestamp of when the executable was uploaded. No
requirements Requirements No

Requirements Schema

The execution requirements for the binary.

Name Type Description Required
executable_type string The base language of the executable. e.g. python, go, or java. No
runtime string The NextMV Docker image to use as the run environment for the binary. Yes
options BinaryOptions No
io_configuration BinaryIOConfiguration No

BinaryOptions Schema

Options to pass to the executable.

Name Type Description Required
strict boolean Prevent other options, which are not detailed here, from being passed to the executable. No
validation BinaryOptionsValidation No
format BinaryOptionsFormat No
items [ BinaryOptionsItem ] Information about the options which should be passed to the binary. Yes

BinaryOptionsValidation Schema

Enable validation for all options or none.

Name Type Description Required
enforce string Specifies whether validation rules should be strictly enforced for the options. When set, if any option fails to pass validation, the run will be rejected. No

BinaryOptionsFormat Schema

The format of the options passed to the executable.

Name Type Description Required
template [ string ] An Array of option formats outlining how NextMV should parse, validate, and pass the options to the binary. No

BinaryOptionsItem Schema

Name Type Description Required
name string The name of the option to display in the UI. No
description string A short description of the option. No
option_type string The type of the option. Can be one of: string, int, float, bool. No
required boolean Whether the option is required to have a valid value. No
default string The default value to use for the option. Can be any value and type. No
additional_attributes BinaryOptionsItemAdditionalAttributes No
ui BinaryOptionsItemUI No

BinaryOptionsItemAdditionalAttributes Schema

Additional validation attributes for the option.

Name Type Description Required
min string Minimum value for the option. No
max string Maximum value for the option. No
step string Step value for the option. No
values string An array of valid values for the option. No
min_length string Minimum character length for the option value. No
max_length string Maximum character length for the option value. No

BinaryOptionsItemUI Schema

Information regarding how the option value is displayed in the UI.

Name Type Description Required
control_type string,
Available values: "input", "select", "toggle", "slider"
The type of control to use for the option in the UI. Can be one of: input, select, toggle, slider.
Enum: "input", "select", "toggle", "slider"
No
hidden_from [ string,
Available values: "root", "admin", "developer", "operator", "viewer" ]
A list of roles that should not see this option in the UI. The roles can be one of: root, admin, developer, operator, viewer. No

BinaryIOConfiguration Schema

The input/output configuration for the executable optionally defined in app.yaml.

Name Type Description Required
format string,
Available values: "json", "text", "csv-archive", "multi-file"
The format of the information for I/O.
Enum: "json", "text", "csv-archive", "multi-file"
No
multi_file BinaryIOConfigurationMultiFile No

BinaryIOConfigurationMultiFile Schema

Path override locations for input and output information.

Name Type Description Required
input_path string The input path. No
output_configuration BinaryIOConfigurationMultiFileOutput No

BinaryIOConfigurationMultiFileOutput Schema

The paths for output.

Name Type Description Required
solutions_path string The path for solutions output folder, json expected. No
statistics_path string The path for statistics output file, json expected No
assets_path string The path for assets output file, json expected. No

RunInput Schema

Input to use for an application run. Maximum size for submitting input directly is 5MB. For larger files use the /uploadurl (500MB max).

Name Type Description Required
name string An optional short name for the run. No
description string An optional longer description for the run. No
input object Use input if you submit your input directly and its size is below 5MB. No
input_id string Use input_id if you are using a managed input previously uploaded via the applications/{application_id}/inputs endpoint to submit input data. No
upload_id string Use upload_id if you used an upload URL from the /uploadurl endpoint to submit input data. No
configuration ExecutionConfiguration Use configuration to pass configuration options into your run. They will override instance options that are set. No
options ExecutionConfigurationOptions Use options to pass options into your run. They will override instance options that are set. If used alongside configuration.options, any keys shared between the two will default to the value in configuration.options No
batch_experiment_id string Use batch_experiment_id to attach a run to an existing batch experiment. This will ignore existing online experiments attached to the instance. No
result { "output_upload_id": string, "error_upload_id": string, "status": string,
Available values: "succeeded", "failed", "error_message": string, "execution_duration": integer }
Use result to create an external run with an already computed output. This is often use for on-premise workloads. No

ExecutionConfiguration Schema

Use this configuration object to pass configuration options into your run.

Name Type Description Required
integration_id string The integration to use for the run. This is required when using the 'integration' execution class. No
execution_class string,
Available values: "6c9500mb870s", "8c16gb12h", "16c60gb12h", "integration"
The execution class to use for the run. If omitted, the default execution class (6c9500mb870s) will be used.
Enum: "6c9500mb870s", "8c16gb12h", "16c60gb12h", "integration"
No
run_type ExecutionConfigurationRunType No
format ExecutionConfigurationFormat No
secrets_collection_id string The secret collection to use for the run. Secrets are injected into the container during the run. No
queuing ExecutionConfigurationQueuing No
options ExecutionConfigurationOptions No

ExecutionConfigurationRunType Schema

Use run_type to specify the type of run. If omitted, the default run type (standard) will be used.

Name Type Description Required
type string,
Available values: "standard", "external", "ensemble"
The type of run.
Enum: "standard", "external", "ensemble"
No
definition_id string The related definition ID for type of run, such as the ensemble definition ID to use for the run. No

ExecutionConfigurationFormat Schema

formatting information for the run, optional.

Name Type Description Required
input { "type": string,
Available values: "json", "text", "csv-archive", "multi-file" }
formatting information for the run input, optional No

ExecutionConfigurationQueuing Schema

The queuing behavior for a run.

Name Type Description Required
priority integer,
Default: 6
The priority of the run in the queue between 1 and 9, highest priority is 1. No
disabled boolean If true, then a run will not be queued. A 429 error is returned if no capacity is available. No

ExecutionConfigurationOptions Schema

The options passed in to the run. The number of keys in this object cannot exceed 100 and the total size of this object cannot exceed 4KiB. Each key must start with an alphanumeric (i.e. for the English alphabet and Arabic numerals) character and contain only alphanumeric characters, hyphens, underscores, colons, and periods.

Name Type Description Required
ExecutionConfigurationOptions object The options passed in to the run. The number of keys in this object cannot exceed 100 and the total size of this object cannot exceed 4KiB. Each key must start with an alphanumeric (i.e. for the English alphabet and Arabic numerals) character and contain only alphanumeric characters, hyphens, underscores, colons, and periods.

RunInfo Schema

Summary information for an application run.

Name Type Description Required
id string No
user_email string No
name string No
description string No
status string,
Available values: "running", "succeeded", "failed"
Enum: "running", "succeeded", "failed" No
status_v2 string,
Available values: "none", "queued", "running", "canceled", "succeeded", "failed"
Enum: "none", "queued", "running", "canceled", "succeeded", "failed" No
created_at dateTime No
application_id string No
application_instance_id string No
application_version_id string No
run_type { "type": string,
Available values: "standard", "external", "ensemble", "definition_id": string, "reference_id": string }
The type of run. No
execution_class string,
Available values: "6c9500mb870s", "8c16gb12h", "16c60gb12h"
The execution class used for the run.
Enum: "6c9500mb870s", "8c16gb12h", "16c60gb12h"
No
queuing_priority integer,
Default: 6
The priority of the run. No
queuing_disabled boolean If true, then a run was not queued. No
statistics { "status": string, "error": string, "indicators": [ { "name": string, "value": number } ] } No

ActiveRunInfo Schema

Summary information for an application run.

Name Type Description Required
id string No
user_email string No
name string No
description string No
status string,
Available values: "running", "succeeded", "failed"
Enum: "running", "succeeded", "failed" No
status_v2 string,
Available values: "none", "queued", "running", "canceled", "succeeded", "failed"
Enum: "none", "queued", "running", "canceled", "succeeded", "failed" No
created_at dateTime No
application_id string No
application_instance_id string No
application_version_id string No
execution_class string,
Available values: "6c9500mb870s", "8c16gb12h", "16c60gb12h"
The execution class to use for the run. If omitted, the default execution class (6c9500mb870s) will be used.
Enum: "6c9500mb870s", "8c16gb12h", "16c60gb12h"
No

BatchRunInfo Schema

Summary information for a batch experiment run

Name Type Description Required
input_id string No
option_set string No
options object No
scenario_id string The ID of the scenario the run is associated to when working with scenario tests. No
repetition integer The repetition index of the run. No
input_set_id string The ID of the input set that contains the input_id. No

SwitchbackRunInfo Schema

Summary information for a switchback test run

Name Type Description Required
switchback { "experiment_id": , "plan_unit_index": integer } No

BatchRunRequest Schema

A run request for batch experiments. input_set and either instance_id or version_id are required. option_set is optional.

Name Type Description Required
instance_id string The instance that should execute the run.
Example: "instance_id"
No
version_id string The version that should execute the run.
Example: "version_id"
No
option_set string The option set name to be used for the run.
Example: "option-set-1"
No
input_id string The input id from the input set of the batch experiment.
Example: "input_id"
No
scenario_id string The id of the scenario that is being used when working with scenario tests.
Example: "scenario_id"
No
repetition number When working with scenario tests, the number of the repetition for a run. Should start at 0.
Example: 0
No
input_set_id string The id of the input set that contains the input_id.
Example: "input_set_id"
No

RunMetadata Schema

Application run information excluding solution.

Name Type Description Required
application_id string No
application_instance_id string No
application_version_id string No
created_at dateTime No
duration long Total time the run took in milliseconds, including queued time. No
error string If status is failed, description related to failure. No
execution_class string,
Available values: "6c9500mb870s", "8c16gb12h", "16c60gb12h"
The execution class used for the run.
Enum: "6c9500mb870s", "8c16gb12h", "16c60gb12h"
No
execution_duration long The time in milliseconds that the run was actually running. This is considered billable time. No
experiment_id string No
experiment_type string,
Available values: "batch", "shadow", "switchback"
The type of experiment the run is a part of
Enum: "batch", "shadow", "switchback"
No
input_id string No
input_size long Input size in bytes. No
output_size long Output size in bytes. No
queuing_priority integer,
Default: 6
The priority of the run. No
queuing_disabled boolean If true, then a run was not queued. No
secrets_collection_id string The secret collection that was used for this run, if defined. No
status string,
Available values: "running", "succeeded", "failed"
Enum: "running", "succeeded", "failed" No
status_v2 string,
Available values: "none", "queued", "running", "canceled", "succeeded", "failed"
Enum: "none", "queued", "running", "canceled", "succeeded", "failed" No
statistics { "status": string, "error": string, "indicators": [ { "name": string, "value": number } ] } No

RunMetadataStatus Schema

Get application run metadata information without result.

Name Type Description Required
id string No
user_email string The email address of the user that made the run. No
name string Run name, for your reference only. No
description string Run description, for your reference only. No
metadata RunMetadata No

RunOutput Schema

Application run output. The maximum output size is 5MB. (Max output size when using /uploadurl is 100MB.)

Name Type Description Required
id string Yes
user_email string Yes
name string Yes
description string Yes
metadata RunMetadata Yes
output The json encoded output from the run or an object with a key "url" that contains the URL to download the output. The latter is returned either if the output is too large or the query parameter format was set to url. Can be any value - string, number, boolean, array or object. No
error_log { "error": string, "stdout": string, "stderr": string } In case metadata.status is failed error_log shows information about the error. No

GetRunInput Schema

Gets the input used for a run.

Name Type Description Required
GetRunInput { "url": string } Gets the input used for a run.

GetRunOutput Schema

Represents the output data from a run execution.

Name Type Description Required
GetRunOutput { "url": string } Represents the output data from a run execution.

GetRunAssets Schema

A collection of run assets for a run with metadata and optional download information.

Name Type Description Required
assets [ GetRunAsset ] No

GetRunAsset Schema

A single run asset with metadata and optional download url.

Name Type Description Required
id string The unique identifier for the asset. No
name string The name of the asset. No
description string A description of the asset. No
content_type string The content type of the asset, e.g. json No
visual RunAssetVisual No
error RunAssetError No
created_at dateTime The timestamp when the asset was created. No
download_url string The URL to download the asset if downloadable. No
size long The size of the asset in bytes. No

RunAssetVisual Schema

Visual metadata for the run asset.

Name Type Description Required
schema string The schema version or specification for the visual content. Yes
type string The type of visual content. Yes
label string The display label for the visual. Yes
view_override string Optional view override configuration. No
tab_order integer Optional tab order for displaying the visual. No

RunAssetError Schema

Error information for the run asset.

Name Type Description Required
code string The error code. Yes

RunUpdate Schema

Updates the name and description of a run.

Name Type Description Required
name string Run name, for your reference only. No
description string Run description, for your reference only. No

ApplicationRunUploadResponse Schema

Name Type Description Required
upload_id string Use the upload_id to start your run after uploading your input data with the unique upload URL. No
upload_url string Temporary unique URL to use for uploading your input. This URL is valid for 10 minutes after creation, after which it expires. No

ListRunResponse Schema

Name Type Description Required
runs [ RunInfo ] No
next_page_token string No

ListActiveRunResponse Schema

Name Type Description Required
runs [ ActiveRunInfo ] No

RunLogsResponse Schema

Name Type Description Required
log string The log output (stderr) from the run. No

LogItem Schema

Name Type Description Required
timestamp dateTime No
log string No

LiveRunLogsResponse Schema

Name Type Description Required
items [ LogItem ] No
next_page_token string No
status_v2 string,
Available values: "none", "queued", "running", "canceled", "succeeded", "failed"
Enum: "none", "queued", "running", "canceled", "succeeded", "failed" No
next_available_in_seconds integer No

SecretsCollectionSummary Schema

Name Type Description Required
id string The ID of the secrets collection. No
application_id string The ID of the application the collection belongs to. No
name string The name of the secrets collection. No
description string The description of the secrets collection. No

ApplicationSecret Schema

Name Type Description Required
type
Available values: "env", "file"
The type of the secret, either env (environment variable) or file.
Enum: "env", "file"
No
location string The location of the secret. For type env, this is the environment variable name. For type file, this is the relative file path to the execution directory. No
value string The value of the secret, maximum allowed is 1KB. No

SecretsCollection Schema

Name Type Description Required
id string The ID of the secrets collection. No
application_id string The ID of the application the collection belongs to. No
name string The name of the secrets collection. No
[...]
